Skip to main content
GET
List parameters for a Neki configuration profile

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

configuration_profile
string
required

Name from list_shard_configuration_profiles.

Query Parameters

internal
boolean

Set to true to return only internal parameters, which cannot be changed. Set to false to return only parameters you can change. Omit to return both.

Response

Returns parameters for the configuration profile

name
string
required

The name of the parameter

display_name
string
required

The display name of the parameter

namespace
enum<string>
required

The namespace of the parameter

Available options:
admin,
pgconf,
replicator,
router,
sidecar
advanced
boolean
required

Whether the parameter is advanced

internal
boolean
required

Whether the parameter is internal and cannot be changed

category
string | null
required

The category of the parameter

description
string
required

The description of the parameter

parameter_type
enum<string>
required

The type of the parameter

Available options:
array,
boolean,
bytes,
float,
integer,
select,
string,
time
default_value
string | null
required

The default value of the parameter

disabled
boolean
required

Whether the parameter is disabled

requires_update
enum<string> | null
required

The update required before the parameter can be configured

Available options:
cluster,
configuration_profile
value
string | null
required

The configured value of the parameter

required
boolean
required

Whether the parameter is required

created_at
string | null
required

When the parameter was created

updated_at
string | null
required

When the parameter was last updated

restart
boolean
required

Whether processes require a server restart after the parameter changes

url
string
required

The URL of the parameter

actor
object
required
id
string | null

The ID of the parameter

max
string | null

The maximum value of the parameter, e.g. 800 or 1h

min
string | null

The minimum value of the parameter, e.g. 0 or 1ms

options
string[] | null

Options, including disabled ones, for the parameter value. Null means unset

units
string[] | null

The units of the parameter value